<!DOCTYPE html>
<html lang="en">
<head>
    <title>Eventos</title>
</head>
<body>
    <div>
        <img src="/" alt="texto" onclick="updateCounter(event)">
        <p>has echo click a la imagen <span id="num">0</span> veces.</p>
    </div>

    <script>
        var contadorClick=0;
        function updateCounter(e) {
            console.log(e);
            console.log(e.detail);
            console.log('contador'+contadorClick);
            contadorClick++;
            document.querySelector('#num').textContent = e.detail;
        }
    </script>
</body>
</html>